source("allocate.r")
source("bsearch.r")
source("capture.r")
data(volcano)
image(volcano,col=rainbow(13))
z=allocate(volcano,rep(20000,20))
dev.new()
image(1:87,1:61,z$grid,asp=1,col=rainbow(max(z$data$i)))
text(z$data$x,z$data$y,as.character(round(z$data$r,1)), cex=1.25)  # show radius
z$data

# Xcheck
grid2df<-function(x) {
            if(is.matrix(x)) { 
                nc=ncol(x)
                nr=nrow(x) 
              cbind(rep(1:nr,nc),rep(1:nc,rep(nr,nc)), as.vector(x))
                             }
            else {
              print("Input must be a matrix")
                 }  
                      }

grid2df(z$grid)->t1
grid2df(volcano)->t2
aggregate(t2[,3],list(t1[,3]), sum)->xcheck
cbind(a=z$data$a,xcheck)



